Name: wxGTK
Version: 2.4.2
Release: alt2
Serial: 1

Summary: The GTK+ port of the wxWidgets library
License: wxWidgets License
Group: System/Libraries
Url: http://www.wxwidgets.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: http://belnet.dl.sourceforge.net/sourceforge/wxwidgets/%name-%version.tar.bz2
Patch1: %name-2.4.1-alt-fonts.patch
Patch2: %name-2.4.2-alt-contribs_for_compile.patch

Provides: wxwin
Conflicts: wxMotif
Obsoletes: wxGTK-gl

# Automatically added by buildreq on Sun Mar 28 2004
BuildRequires: XFree86-devel XFree86-libs esound-devel flex gcc-c++ glib-devel
BuildRequires: gtk+-devel libaudiofile-devel libjpeg-devel libpng-devel
BuildRequires: libstdc++-devel libtiff-devel zlib-devel

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs
(GTK+, Motif/LessTif, MS Windows, Mac) from the same source code.

This is a GTK+ port.

%package devel
Summary: Development files for wxGTK library
Group: Development/C++
Requires: %name = %version

%description devel
Header files for wxGTK, the GTK+ port of the wxWidgets library.

%package examples
Summary: wxGTK example programs
Group: Development/C++
Requires: %name-devel = %version

%description examples
wxGTK example programs.

%package contrib-stc
Summary: wxWidgets styled text control library
Group: System/Libraries        
Requires: %name = %version

%description contrib-stc
wxWidgets styled text control library.

%package contrib-stc-devel
Summary: Development files for wxWidgets styled text control library
Group: Development/C++
Requires: %name-contrib-stc = %version

%description contrib-stc-devel
Header files for wxWidgets styled text control library.

%package contrib-xrc
Summary: wxWidgets XML Resources
Group: System/Libraries
Requires: %name = %version

%description contrib-xrc
wxWidgets XML Resources.

%package contrib-xrc-devel
Summary: Development files for wxWidgets XML Resources
Group: Development/C++
Requires: %name-contrib-xrc = %version

%description contrib-xrc-devel
Header files for wxWidgets XML Resources.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure --without-odbc \
	   --without-debug_flag \
	   --without-debug_info \
	   --without-opengl \
	   --with-gtk \
	   --disable-unicode \
	   --with-xresources \
	   --enable-optimize \
	   --enable-shared \
	   --enable-soname
%make_build
cd contrib/src
%make_build

%install
%makeinstall
%__mkdir -p %buildroot%_datadir/wx/examples
%__cp -a demos samples %buildroot%_datadir/wx/examples
%find_lang wxstd
cd contrib/src
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post contrib-stc -p %post_ldconfig
%postun contrib-stc -p %postun_ldconfig

%post contrib-xrc -p %post_ldconfig
%postun contrib-xrc -p %postun_ldconfig

%files -f wxstd.lang
%doc CHANGES.txt COPYING.LIB INSTALL.txt LICENCE.txt README.txt TODO.txt
%dir %_datadir/wx
%_datadir/wx/2.4
%_libdir/libwx_gtk-2.4.so.*

%files devel
%_bindir/*
%_libdir/libwx_gtk-2.4.so
%_libdir/wx
%_datadir/aclocal/*.m4
%dir %_includedir/wx
%_includedir/wx/generic
%_includedir/wx/gtk
%_includedir/wx/html
%_includedir/wx/protocol
%_includedir/wx/univ
%_includedir/wx/unix
%_includedir/wx/*.h
%_includedir/wx/*.cpp
%_includedir/wx/datetime.inl

%files examples
%_datadir/wx/examples

%files contrib-stc
%_libdir/libwx_gtk_stc-2.4.so.*

%files contrib-stc-devel
%_libdir/libwx_gtk_stc-2.4.so
%_includedir/wx/stc

%files contrib-xrc
%_libdir/libwx_gtk_xrc-2.4.so.*

%files contrib-xrc-devel
%_libdir/libwx_gtk_xrc-2.4.so
%_includedir/wx/xrc

%changelog
* Sun Mar 28 2004 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.2-alt2
- Added XRC and STC libraries from contribs.
- Changed name from wxWindows to wxWidgets.

* Sun Sep 28 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.2-alt1
- 2.4.2

* Mon Aug 25 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.1-alt2
- Patched wxTooltip and wxToolbar.

* Fri Jun 20 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.1-alt1
- 2.4.1
- Some corrections taken from PLD spec:
  * Examples moved to separate package.
  * Added aclocal file.

* Wed Mar 05 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.0-alt3
- Some spec corrections taken from Yuri Sedunov's unstable version.
- Fixed wxGTK-devel package group.
- Removed OpenGL support.

* Thu Jan 16 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.0-alt2
- Some minor spec changes (thanks to Oleg Gints).

* Mon Jan 13 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.0-alt1
- 2.4.0.

* Tue Feb 12 2002 Andrey Astafiev <andrei@altlinux.ru> 1:2.2.9-alt1
- Rollback to stable branch 2.2.x.
- 2.2.9.

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.3.1-alt1
- new version

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.2.7-alt1
- new version

* Tue Apr 03 2001 Rider <rider@altlinux.ru> alt2
- bugfix

* Tue Apr 03 2001 Rider <rider@altlinux.ru> alt1
- 2.2.6

* Sun Dec 17 2000 AEN <aen@logic.ru>
- adopted for RE

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- build for gcc-2.96

* Sun Sep 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- update to 2.2.2
- clean spec
- BM

* Sat Aug 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- fix symlink that broke this lib
- update to 2.2.0
- macros

* Sat May 27 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.1.15-2mdk
- add --with-gtk, --without-odbc, --without-shared, --without-debug_flag,
  and --without-debug_info to configure

* Fri May 26 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.1.15-1mdk
- initial specfile
- bzip sources
